<?php 
/**
 * The browse view of batch module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     batch 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('mode', $mode);?>
<li id='bysearchTab'><?php echo html::a('javascript:;', "<i class='icon-search icon'></i>" . $lang->search->common)?></li>
<div class='panel main-table' data-ride='table'>
  <table class='table has-sort-head'>
    <thead>
      <tr>
        <th class='w-60px'><?php echo $lang->batch->id;?></th>
        <?php if($method == 'browse'):?>
        <th class='w-140px'><?php echo $lang->batch->batchNoList[$type];?></th>
        <?php endif;?>
        <th class='w-140px'><?php echo $lang->order->orderNo->common;?></th>
        <th><?php echo $lang->batch->traderList[$type];?></th>
        <th class='w-120px'><?php echo $lang->order->finishedDate;?></th>
        <th class='w-80px'><?php echo $lang->batch->status;?></th>
        <?php $class = $this->app->clientLang == 'en' ? 'w-120px' : 'w-120px';?>
        <th class='<?php echo $class;?> text-center'><?php echo $lang->actions;?></th>
      </tr>
    </thead>
    <tbody>
      <?php if($method == 'browse'):?>
      <?php foreach($batches as $id => $batch):?>
      <tr>
        <td><?php echo $id;?></td>
        <td><?php echo $batch->batchNo;?></td>
        <td>
          <?php $order = zget($orders, $batch->order);?>
          <?php if(!commonModel::printLink(str_replace('Refund', '', $order->type), 'detail', "id={$order->id}", $order->orderNo)) echo $order->orderNo;?>
        </td>
        <td><?php if(!commonModel::printLink(strpos($order->type, 'sale') === 0 ? 'customer' : 'provider', 'view', "id=$batch->trader", zget($customers, $batch->trader))) echo zget($customers, $batch->trader);?></td>
        <td><?php echo formatTime($order->finishedDate, DT_DATE1);?></td>
        <td><?php echo zget($lang->batch->statusList, $batch->status, ' ');?></td>
        <td>
          <?php 
          commonModel::printLink('batch', 'deliver', "id={$id}", $lang->batch->deliver->common, "data-toggle='modal'");
          commonModel::printLink('batch', 'printBatch', "id={$id}&module=batch", $lang->order->print->common);
          commonModel::printLink('batch', 'editDeliver', "id={$id}", $lang->edit, "data-toggle='modal'");
          ?>
        </td>
      </tr>
      <?php endforeach;?>
      <?php endif;?>
      <?php if($method == 'browsePurchaseOrders'):?>
      <?php foreach($orders as $id => $order):?>
      <tr>
        <td><?php echo $id;?></td>
        <td><?php if(!commonModel::printLink(str_replace('Refund', '', $order->type), 'detail', "id={$order->id}", $order->orderNo)) echo $order->orderNo;?></td>
        <td><?php if(!commonModel::printLink(strpos($order->type, 'sale') === 0 ? 'customer' : 'provider', 'view', "id=$order->trader", zget($customers, $order->trader))) echo zget($customers, $order->trader);?></td>
        <td><?php echo formatTime($order->finishedDate, DT_DATE1);?></td>
        <td><?php echo zget($lang->order->statusList, $order->status, ' ');?></td>
        <td class='text-center'><?php if(!commonModel::printLink('batch', 'receive', "orderId={$id}&status=receive", $lang->batch->receive->common)) echo $lang->batch->receive->common;?></td>
      </tr>
      <?php endforeach;?>
      <?php endif;?>
    </tbody>
  </table>
  <div class='table-footer'>
    <?php $pager->show();?>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
